import QtQuick 1.0
import com.meego 1.0

PageStackWindow {
    id: appWindow

  
    //It seems that Python only can call functions in the main.qml file.
    //So we forward those function calls just to other functions in the MainPage.qml file
    function updateGraphWidth(width, height) {
	mainPage.updateGraphWidth2(width, height)
    }
    
    function scrollToGraphEnd() {
	mainPage.scroll2GraphEnd2()
    }
    
    function tellQMLToRedrawGraph() {
	mainPage.tellQMLToRedrawGraph2()
    }
    
    
    
    
    
    initialPage: mainPage
    MainPage{id: mainPage}


    Menu {
        id: myMenu
        MenuLayout {

            MenuItem {
                text: "Help"
                onClicked: { help.open(); }
            }
            MenuItem {
                text: "About"
                onClicked: { about.open(); }
            }
        }
    }


 
    



    QueryDialog {
        id: about
        icon: "../images/icon.png"
        titleText: "About AngleGraph"
        message: "This application shows the angle in a graph.\n"+
		 "It works in landscape as well as in portrait mode.\n\n"+
		 "Copyright 2011 by George Ruinelli\n"+
                 "Contact: george@ruinelli.ch"
    }

    
    



    QueryDialog {
        id: help
        icon: "../images/icon.png"
        titleText: "AngleGraph Help"
        message: "Put your phone onto the table in landscape or portrait mode. Tilt it slowly to the left or right side. "+
		 "It will show your movements on the graph. "+
		 "The yellow part in the graph is when you are in portrait mode and the green part when you are in landscape mode."
    }

}
